Bug 18601 - OAI/Sets.t mangles data due to truncate in ModOAISetsBiblios
Summary: OAI/Sets.t mangles data due to truncate in ModOAISetsBiblios
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-15 07:11 UTC by Marcel de Rooy
Modified: 2017-07-31 11:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18601: OAI/Sets.t mangles data due to truncate in ModOAISetsBiblios (3.03 KB, patch)
2017-05-15 08:11 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18601: OAI/Sets.t mangles data due to truncate in ModOAISetsBiblios (3.06 KB, patch)
2017-05-23 18:35 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18601: OAI/Sets.t mangles data due to truncate in ModOAISetsBiblios (3.13 KB, patch)
2017-06-13 19:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-05-15 07:11:34 UTC

    
Comment 1 Marcel de Rooy 2017-05-15 08:11:23 UTC
Created attachment 63460 [details] [review]
Bug 18601: OAI/Sets.t mangles data due to truncate in ModOAISetsBiblios

This patch replaces the TRUNCATE statement in ModOAISetsBiblios by a
DELETE statement. A truncate will cause an implicit commit and will
therefore commit the transaction started in the test script.

Also simplifying the module load in the test script.

Test plan:
Do not apply this patch and observe that biblio records are added to your
database by running t/db_dependent/OAI/Sets.t.
Apply this patch, run the test again and verify that it does no longer
add records to your biblio table.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Josef Moravec 2017-05-23 18:35:42 UTC
Created attachment 63670 [details] [review]
[SIGNED-OFF] Bug 18601: OAI/Sets.t mangles data due to truncate in ModOAISetsBiblios

This patch replaces the TRUNCATE statement in ModOAISetsBiblios by a
DELETE statement. A truncate will cause an implicit commit and will
therefore commit the transaction started in the test script.

Also simplifying the module load in the test script.

Test plan:
Do not apply this patch and observe that biblio records are added to your
database by running t/db_dependent/OAI/Sets.t.
Apply this patch, run the test again and verify that it does no longer
add records to your biblio table.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Jonathan Druart 2017-06-13 19:20:30 UTC
Created attachment 64269 [details] [review]
Bug 18601: OAI/Sets.t mangles data due to truncate in ModOAISetsBiblios

This patch replaces the TRUNCATE statement in ModOAISetsBiblios by a
DELETE statement. A truncate will cause an implicit commit and will
therefore commit the transaction started in the test script.

Also simplifying the module load in the test script.

Test plan:
Do not apply this patch and observe that biblio records are added to your
database by running t/db_dependent/OAI/Sets.t.
Apply this patch, run the test again and verify that it does no longer
add records to your biblio table.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-06-14 20:38:06 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-06-15 12:18:38 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 6 Katrin Fischer 2017-06-15 20:20:40 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 7 Mason James 2017-07-31 11:24:21 UTC
Pushed to 16.05.x, for 16.05.15 release